package com.hz.pm.api.projectlib.handle;

import com.hz.pm.api.projectlib.model.entity.Project;
import com.wflow.workflow.bean.vo.ProcessDetailVO;
import com.wflow.workflow.enums.StepStatusEnum;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * <p>
 * ApprovalAmountHandle
 * </p>
 *
 * @author WendyYang
 * @since 21:02 2024/4/8
 */
@Component
public class ApprovalAmountHandle extends AbstractProcessBusinessHandle {

    @Override
    void businessHandle(Project project, List<ProcessDetailVO> processSchedule) {
        ProcessDetailVO detail = new ProcessDetailVO();
        processSchedule.add(detail);
        detail.setProcessName(getProcessNode().getName());
        detail.setStepStatus(project.getApprovalAmount() != null ? StepStatusEnum.COMPLETED : StepStatusEnum.NOT_START);
    }

    @Override
    ProcessNode getProcessNode() {
        return ProcessNode.APPROVAL_AMOUNT;
    }

    @Override
    public int getOrder() {
        return getProcessNode().getOrder();
    }
}
